package com.steering.jobface.Mcms;

/**
 * 数据库表CMM_CAR_EFF所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2020-12-19
 */
@SuppressWarnings("serial")
public class CmmCarEffEntity implements java.io.Serializable {
    /**
     * 车牌号
     */
    private String carNo = "";
    /**
     * 时效
     */
    private String timeEff = "";
    /**
     * 当前过皮时间
     */
    private String tareDate = "";
    /**
     * 有效标志(1-有效 0-无效)
     */
    private String validflag = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 删除人
     */
    private String deleteName = "";
    /**
     * 删除时间
     */
    private String deleteTime = "";

    /**
     * 车牌号
     * @return value
     */
    public String getCarNo() {
        return carNo;
    }

    /**
     * 车牌号
     * @param carNo value
     */
    public void setCarNo(String carNo) {
        this.carNo = carNo;
    }

    /**
     * 时效
     * @return value
     */
    public String getTimeEff() {
        return timeEff;
    }

    /**
     * 时效
     * @param timeEff value
     */
    public void setTimeEff(String timeEff) {
        this.timeEff = timeEff;
    }

    /**
     * 当前过皮时间
     * @return value
     */
    public String getTareDate() {
        return tareDate;
    }

    /**
     * 当前过皮时间
     * @param tareDate value
     */
    public void setTareDate(String tareDate) {
        this.tareDate = tareDate;
    }

    /**
     * 有效标志(1-有效 0-无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1-有效 0-无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    private String id;


}